searchNodes=[{"doc":"This module provides functions to report any kind of exception to Airbrake or Errbit . Airbrake.report/2 can be used to report directly to Airbrake.io. Airbrake.Plug and Airbrake.Channel can be used to automatically report errors from controllers or channels. See README for configuration and usage instructions.","ref":"Airbrake.html","title":"Airbrake","type":"module"},{"doc":"Monitor exceptions in the target process. If you don't want system-wide monitoring, but would like to monitor one specific process, then you could use Airbrake.monitor/1 Examples: With a given PID: Airbrake . monitor ( pid ) With a registered process: Airbrake . monitor ( Registered.Process.Name ) With spawn/1 and its counterparts: spawn ( fn -&gt; :timer . sleep ( 500 ) String . upcase ( nil ) end ) |&gt; Airbrake . monitor","ref":"Airbrake.html#monitor/1","title":"Airbrake.monitor/1","type":"function"},{"doc":"Send a report to Airbrake about given exception. exception could be Exception.t or a keywords list with two keys :type &amp; :message options is a keywords list with following keys: :params - use it to pass request params :context - use it to pass detailed information about the exceptional situation :session - use it to pass info about user session :env - use it to pass environment variables, headers and so on :stacktrace - use it when you would like send something different than System.stacktrace This function will always return :ok right away and perform the reporting of the given exception in the background. Examples Exceptions can be reported directly: Airbrake . report ( ArgumentError . exception ( &quot;oops&quot; ) ) #=&gt; :ok Often, you'll want to report something you either rescued or caught. For rescued exceptions: try do raise ArgumentError , &quot;oops&quot; rescue exception -&gt; Airbrake . report ( exception ) # You can also reraise the exception here with reraise/2 end For caught exceptions: try do throw ( :oops ) # or exit(:oops) catch kind , value -&gt; Airbrake . report ( [ type : kind , message : inspect ( value ) ] ) end Using custom data: Airbrake . report ( [ type : &quot;DebugInfo&quot; , message : &quot;Something went wrong&quot; ] , context : %{ moon_phase : &quot;eclipse&quot; } )","ref":"Airbrake.html#report/2","title":"Airbrake.report/2","type":"function"},{"doc":"Reports errors encountered on a channel. def YourApp.Web do # ... def channel do quote do use Phoenix.Channel use Airbrake.Channel # ... end end # ... end See the README for configuration options.","ref":"Airbrake.Channel.html","title":"Airbrake.Channel","type":"module"},{"doc":"This module provides the ability to monitor workers of your gen.servers, just write use Airbrake.GenServer instead of use GenServer and any time when GenServer would be terminated for a some reason you will know about it. Could be used in case when you don't want a system-wide reporting.","ref":"Airbrake.GenServer.html","title":"Airbrake.GenServer","type":"module"},{"doc":"Implements a set of reporting rules based on process termination reason. Could be overridden if you want to.","ref":"Airbrake.GenServer.html#handle_terminate/2","title":"Airbrake.GenServer.handle_terminate/2","type":"function"},{"doc":"Reports any error encountered in the plug pipeline. To use this plug, add it to your router: defmodule YourApp.Router do use Phoenix.Router use Airbrake.Plug # ... end See the README for configuration options.","ref":"Airbrake.Plug.html","title":"Airbrake.Plug","type":"module"},{"doc":"Airbrake Client Capture exceptions and send them to the Airbrake or to your Errbit installation. This library was originally forked from the airbrake Hex package. Development and support for that library seems to have lapsed, but we (the devs at CityBase ) had changes and updates we wanted to make. So we decided to publish our own fork of the library.","ref":"readme.html","title":"Airbrake Client","type":"extras"},{"doc":"Add airbrake_client to your dependencies: defp deps do [ { :airbrake_client , &quot;~&gt; 0.8&quot; } ] end If you are switching from the original airbrake library, you should only have to switch the dependency to :airbrake_client . Version 0.8.0 of this library (its first) should be a drop-in replacement.","ref":"readme.html#installation","title":"Airbrake Client - Installation","type":"extras"},{"doc":"Configure :airbrake : config :airbrake , api_key : System . get_env ( &quot;AIRBRAKE_API_KEY&quot; ) , project_id : System . get_env ( &quot;AIRBRAKE_PROJECT_ID&quot; ) , environment : Mix . env ( ) , filter_parameters : [ &quot;password&quot; ] , host : &quot;https://api.airbrake.io&quot; # or your Errbit host config :logger , backends : [ { Airbrake.LoggerBackend , :error } , :console ] Required configuration arguments: :api_key - (binary) the token needed to access the Airbrake API . You could find it in User Settings . :project_id - (integer) the id of your project at Airbrake. Options configuration arguments: :environment - (binary or function returning binary) the environment that will be attached to each reported exception. :filter_parameters - (list of binaries) allows to filter out sensitive parameters such as passwords and tokens. :host - (binary) use it when you have an Errbit installation. :ignore - (MapSet of binary or function returning boolean or :all) allows to ignore some or all exceptions. See examples below. :options - (keyword list or function returning keyword list) values that are included in all reports to Airbrake.io. See examples below. Ignoring some exceptions To ignore some exceptions use the :ignore config key. The value can be a MapSet : config :airbrake , ignore : MapSet . new ( [ &quot;Custom.Error&quot; ] ) The value can also be a two-argument function: config :airbrake , ignore : fn type , message -&gt; type == &quot;Custom.Error&quot; &amp;&amp; String . contains? ( message , &quot;silent error&quot; ) end Or the value can be the atom :all to ignore all errors (and effectively turning off all reporting): config :airbrake , ignore : :all Shared options for reporting data to Airbrake If you have data that should always be reported, they can be included in the config with the :options key. Its value should be a keyword list with any of these keys: :context , :params , :session , and :env . config :airbrake , options : [ env : %{ &quot;SOME_ENVIRONMENT_VARIABLE&quot; =&gt; &quot;environment variable&quot; } ] Alternatively, you can specify a function (as a tuple) which returns a keyword list (with the same keys): config :airbrake , options : { Web , :airbrake_options , 1 } The function takes a keyword list as its only parameter; the function arity is always 1.","ref":"readme.html#configuration","title":"Airbrake Client - Configuration","type":"extras"},{"doc":"Phoenix app defmodule YourApp.Router do use Phoenix.Router use Airbrake.Plug # &lt;- put this line to your router.ex # ... end def channel do quote do use Phoenix.Channel use Airbrake.Channel # &lt;- put this line to your web.ex # ... Report an exception try do String . upcase ( nil ) rescue exception -&gt; Airbrake . report ( exception ) end GenServer Use Airbrake.GenServer instead of GenServer : defmodule MyServer do use Airbrake.GenServer # ... end Any Elixir process By pid: Airbrake . monitor ( pid ) By name: Airbrake . monitor ( Registered.Process.Name )","ref":"readme.html#usage","title":"Airbrake Client - Usage","type":"extras"},{"doc":"Changelog for v0.x","ref":"changelog.html","title":"Changelog for v0.x","type":"extras"},{"doc":"The first official release of airbrake_client (forked and disconnected from airbrake ). Enhancements [README.md] Update for new maintainers and better instructions.","ref":"changelog.html#v0-8-0-2021-06-02","title":"Changelog for v0.x - v0.8.0 (2021-06-02)","type":"extras"},{"doc":"The CityBase fork of airbrake had a v0.7.0 release , available only through GitHub. Versions 0.6.x are available as the original airbrake library.","ref":"changelog.html#previous-versions","title":"Changelog for v0.x - Previous versions","type":"extras"}]